Bug 1385689 (CVE-2016-8679) - CVE-2016-8679 libdwarf: Heap based buffer overflow in _dwarf_get_size_of_val
Summary: CVE-2016-8679 libdwarf: Heap based buffer overflow in _dwarf_get_size_of_val
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-8679
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1385693 1385692
Blocks: 1385691
TreeView+ depends on / blocked
 
Reported: 2016-10-17 13:55 UTC by Adam Mariš
Modified: 2019-09-29 13:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 07:28:36 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-10-17 13:55:20 UTC
An out of bounds heap read vulnerability was found in _dwarf_get_size_of_val triggered by invoking dwarfdump command on crafted file.

Upstream patches:

https://sourceforge.net/p/libdwarf/code/ci/2d14a7792889e33bc542c28d0f3792964c46214f/#diff-13
https://sourceforge.net/p/libdwarf/code/ci/efe48cad0693d6994d9a7b561e1c3833b073a624/#diff-2

CVE assignment:

http://seclists.org/oss-sec/2016/q4/144

Comment 1 Adam Mariš 2016-10-17 14:00:09 UTC
Created libdwarf tracking bugs for this issue:

Affects: fedora-all [bug 1385692]
Affects: epel-6 [bug 1385693]


Note You need to log in before you can comment on or make changes to this bug.